Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Community Member

How to migrate from ACS 2.6 (windows) to Cisco Secure ACS 4.2 appliance

What I need is a guideline on how to duplicate / migrate the configuration currently used on Cisco ACS for Windows v2.6 to the ACS 4.2 appliance (1113).

There are about 2000 k users and a lot of groups that need to be transfered to the new version.

All the users are stored local. Is there any way to trnsfer the users and some of the configuration to the new one?

Any help would appreciated.

Thanks

4 REPLIES
Community Member

Re: How to migrate from ACS 2.6 (windows) to Cisco Secure ACS 4.

I'm not sure about 2.6 for Windows, but we recently migrated from 4.0 for Windows to 4.2 appliance.

The logical steps are:

Upgrade from 2.6 to 4.2 for Windows

Backup config from 4.2 for Windows

Restore config to ACS SE

If you're not licensed for 4.2 for Windows, I guess you can export and then import the users and groups through CSUtil or RDBMS.

Check w/ TAC or your SE and see what they say.

Bronze

Re: How to migrate from ACS 2.6 (windows) to Cisco Secure ACS 4.

Your upgrade path would be:

Upgrade from ACS 2.6.4.4 to ACS 3.0.4

Upgrade ACS 3.0.4 to ACS 3.3.X

Now upgrade from ACS 3.3.x (ACS 3.2.1, 3.2.2, 3.2.3, 3.3.1, 3.3.2, or 3.3.4) to ACS 4.1.1.23 or ACS 4.1.1.24 on Windows.

You cannot directly upgrade ACS 3.2.x or 3.3.x or 4.x to ACS 4.2.

You must upgrade to ACS 4.1.

Upgrade ACS SW 4.1.x to ACS SW 4.2 (Windows)

finally:

Take a backup from ACS 4.2 (Win) and copy it to a FTP server.

Do a restore from your ACS 4.2 Appliance from your backup file via FTP.

Check that FTP works before you start.

Cheers

P

Community Member

Re: How to migrate from ACS 2.6 (windows) to Cisco Secure ACS 4.

Is there any way to get these install images? TAC says I'm not allowed, because apparently buying two 4.2 SE's isn't enough to get older software images...

thanks!

Community Member

Re: How to migrate from ACS 2.6 (windows) to Cisco Secure ACS 4.

Upgrading from ACS 2.6 to ACS 3.3 then from ACS 3.3 to ACS 4.2 is possible....

Done it and it worked fine

Regards

636
Views
5
Helpful
4
Replies
CreatePlease to create content